#!/bin/sh
#
# $Header: /CVSROOT/public/scylla-charybdis/md5backup/bin/sc-backup.sh,v 1.2 2004/05/15 14:45:38 tino Exp $
#
# $Log: sc-backup.sh,v $
# Revision 1.2  2004/05/15 14:45:38  tino
# updated
#
# Revision 1.1  2004/05/04 05:11:01  tino
# sc-backup.sh: backup via scylla+charybis; dobackup.sh convenience script

cd "`dirname "$0"`" || exit 1

case "$1" in
'')	TARG=md5move;;
*/*)	echo "!relative $1"; exit 1;;
esac
if [ ! -d "$TARG" ]
then
	echo "!dir $TARG"
	exit 1
fi

./sc-mysql.sh "$TARG" || exit 1

(
cd ../md5backup || exit 1
./dobackup.sh
) || exit 1

for a in md5 log
do
	ln "../md5backup/$a"/* "$TARG/$a"/
done
./sc-move.sh "$TARG"
./sc-move.sh "$TARG"
./sc-move.sh "$TARG"
while ! ./sc-move.sh "$TARG"
do
	sleep 3600
done
