#!/bin/sh
#
# $Header: /CVSROOT/public/scylla-charybdis/md5backup/bin/sc-mysql.sh,v 1.2 2004/05/15 14:42:47 tino Exp $
#
# $Log: sc-mysql.sh,v $
# Revision 1.2  2004/05/15 14:42:47  tino
# updated
#
# Revision 1.1  2004/05/04 05:11:01  tino
# sc-backup.sh: backup via scylla+charybis; dobackup.sh convenience script

# Dirty test if mysql is installed
if [ ! -x /usr/bin/mysqldump ]
then
	echo "mysql not installed, skipping mysql backup"
	exit 0
fi

[ -d "$1/mysql" ] || mkdir "$1/mysql" || exit 1
OUT="$1/mysql/`hostname -f`-`date +%Y%m%d-%H%M%S`.sql"

echo "Backing up mysql database."
echo "Please enter your mysql root password:"
/usr/bin/mysqldump -a -A -c -e -F -hlocalhost -uroot -p > "$OUT" &&
bzip2 -9 "$OUT"
